/* ESP32_HallSensor
 *  
 * A beépített Hall-szenzor kipróbálása 
 * A VP és VN (GPIO36 és GPIO39) emeneteket hagyjuk szabadon!
 * Indítsuk el a programot és a Tools menüben a Serial Plottert!
 * Közelítsünk és távolítsunk egy mágnest az ESP32 WROOM-32 modulhoz,
 * majd figyeljük meg az eredményt!
 * 
 * Tested with Arduino 1.8.15 and ESP32 v2.0.0 board package
 */
int32_t val = 0;
void setup() {
  Serial.begin(115200);
}

void loop() {
  for (int i = 0; i < 1000; i++) {
    val += hallRead();
  }
  val = val / 1000;
  Serial.println(val); 
}
