/* ESP32_button2led
   Két LED felváltva világítson, a kapcsoló állásától függően:
    - Ha a kapcsoló nyitva van, a piros LED világítson!
    - Ha a kapcsoló zárva van, a zöld LED világítson!
 */
// Hardverfüggő rész Doit ESP32 Devkit-V1 kártyához
#define RED_LED   23
#define GREEN_LED 22
#define BUTTON    21

void setup() {
  pinMode(RED_LED,OUTPUT);       // legyen kimenet
  pinMode(GREEN_LED,OUTPUT);     // legyen kimenet
  pinMode(BUTTON,INPUT_PULLUP);  // Bemenet belső felhúzással
}

void loop() {
  digitalWrite(RED_LED,digitalRead(BUTTON));    // világít, ha PUSH2 == HIGH
  digitalWrite(GREEN_LED,!digitalRead(BUTTON)); // világít, ha PUSH2 == LOW 
  delay(20);                     // pergésmentesítő késleltetés
} 
